✨ New Gift Cards API Live Now - Beta!
{
"event": "gift_card.order.purchased",
"payload": {
"id": 123,
"gift_card_id": 123,
"gift_card_offer_id": 123,
"region_id": 123,
"brand_id": 123,
"buyer": {
"id": 123,
"username": "<string>"
},
"title": "<string>",
"face_value_amount": "<string>",
"face_value_unit": "<string>",
"quantity": 123,
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"price_eur": "<string>",
"price_usd": "<string>",
"status": "pending",
"keys": [
{
"id": 123,
"gift_card_order_id": 123,
"key": "<string>",
"type": {
"value": "text",
"name": "<string>"
},
"created_at": 123,
"revealed_at": 123
}
],
"created_at": 123,
"updated_at": 123,
"completed_at": 123,
"refunded_at": 123
}
}{
"status": "success"
}GameBoost notifies you when a customer purchases a gift card.
{
"event": "gift_card.order.purchased",
"payload": {
"id": 123,
"gift_card_id": 123,
"gift_card_offer_id": 123,
"region_id": 123,
"brand_id": 123,
"buyer": {
"id": 123,
"username": "<string>"
},
"title": "<string>",
"face_value_amount": "<string>",
"face_value_unit": "<string>",
"quantity": 123,
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"price_eur": "<string>",
"price_usd": "<string>",
"status": "pending",
"keys": [
{
"id": 123,
"gift_card_order_id": 123,
"key": "<string>",
"type": {
"value": "text",
"name": "<string>"
},
"created_at": 123,
"revealed_at": 123
}
],
"created_at": 123,
"updated_at": 123,
"completed_at": 123,
"refunded_at": 123
}
}{
"status": "success"
}Learn more about how GameBoost handles webhooks.Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
HMAC-SHA256 signature of the request body using your webhook secret. Verify this to ensure the webhook is from GameBoost.
"417142a6b1c6e..."
The user agent of the request. Must be "GameBoost Server".
"GameBoost Server"
Webhook received successfully. Return 200 to acknowledge receipt.
"success"
Was this page helpful?